<?php
/*
Plugin Name: Cloudflare Ban Country
Plugin URI: https://www.dojo.cc
Description: Ban entire country from visiting your web. Only works if you are using Cloudflare.
Author: Mochammad Masbuchin
Version: 0.1.0
Author URI: https://www.dojo.cc
*/

function cf_ban_country()
{
	// Put banned countries here
	$banned_countries = [
		'CN',
		// 'ID',
		// 'IN',
	];

	$country = isset($_SERVER['HTTP_CF_IPCOUNTRY']) ? trim($_SERVER['HTTP_CF_IPCOUNTRY']) : 'XX';

	if(in_array($country, $banned_countries)){
		header('HTTP/1.0 403 Forbidden');
		echo 'HTTP/1.0 403 Forbidden';
		die;
	}
}

add_action('plugins_loaded', 'cf_ban_country');
